## WebKitDOMHTMLLIElement WebKitDOMHTMLLIElement |

## Functions

gchar * | webkit_dom_html_li_element_get_type_attr ()
void | webkit_dom_html_li_element_set_type_attr ()
glong | webkit_dom_html_li_element_get_value ()
void | webkit_dom_html_li_element_set_value ()

## Properties

char * | type | Read / Write
glong | value | Read / Write

## Types and Values

struct | WebKitDOMHTMLLIElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLLIElement

## Implemented Interfaces

WebKitDOMHTMLLIElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_li_element_get_type_attr ()

    gchar *
    webkit_dom_html_li_element_get_type_attr
                                   (WebKitDOMHTMLLIElement *self);

`webkit_dom_html_li_element_get_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLLIElement |

#### Returns

A gchar

### webkit_dom_html_li_element_set_type_attr ()

    void
    webkit_dom_html_li_element_set_type_attr
                                   (WebKitDOMHTMLLIElement *self,
                                    const gchar *value);

`webkit_dom_html_li_element_set_type_attr` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLLIElement |
value | A gchar |

### webkit_dom_html_li_element_get_value ()

    glong
    webkit_dom_html_li_element_get_value (WebKitDOMHTMLLIElement *self);

`webkit_dom_html_li_element_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLLIElement |

#### Returns

A glong

### webkit_dom_html_li_element_set_value ()

    void
    webkit_dom_html_li_element_set_value (WebKitDOMHTMLLIElement *self,
                                          glong value);

`webkit_dom_html_li_element_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLLIElement |
value | A glong |

## Types and Values

### struct WebKitDOMHTMLLIElement

    struct WebKitDOMHTMLLIElement;

## Property Details

### The `“type”` property

      “type”                     char *

read-write gchar* HTMLLIElement:type.

Owner: WebKitDOMHTMLLIElement

Flags: Read / Write

Default value: ""

### The `“value”` property

      “value”                    glong

read-write glong HTMLLIElement:value.

Owner: WebKitDOMHTMLLIElement

Flags: Read / Write

Default value: 0